Bug 458359 - Review Request: gpscorrelate - A GPS photo correlation / geotagging tool
Review Request: gpscorrelate - A GPS photo correlation / geotagging tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-07 15:11 EDT by Till Maas
Modified: 2009-05-09 00:27 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.6.0-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 21:21:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mail: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Possible icon for gpscorrelate (2.86 KB, image/png)
2009-02-23 18:49 EST, Fabian Affolter
no flags Details

  None (edit)
Description Till Maas 2008-08-07 15:11:02 EDT
Spec URL: http://till.fedorapeople.org/review/gpscorrelate.spec
SRPM URL: http://till.fedorapeople.org/review/gpscorrelate-1.5.6-1.tillf8.src.rpm
Description:
Gpscorrelate adds coordinates to the exif data of jpeg pictures based on a gpx
track file. The correlation is done by comparing the timestamp of the images
with the timestamp of the gps coordinates.
Comment 1 Andrea Musuruane 2008-08-13 10:58:36 EDT
Package has a GUI application. A desktop file should be provided.

https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files
Comment 2 Till Maas 2008-08-13 15:03:23 EDT
(In reply to comment #1)
> Package has a GUI application. A desktop file should be provided.
> 
> https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files

Uh, thanks. I meant to add it before I submitted the review. Here it is:

Spec URL: http://till.fedorapeople.org/review/gpscorrelate.spec
SRPM URL:
http://till.fedorapeople.org/review/gpscorrelate-1.5.6-2.tillf8.src.rpm
Comment 3 Andrea Musuruane 2008-08-14 06:08:51 EDT
(In reply to comment #2)
> Uh, thanks. I meant to add it before I submitted the review. Here it is:

I recommend not use a vendor in desktop-file-install.

You really must provide an icon:
https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files

And therefore you need to add hicolor-icon-theme to Requires.
Comment 4 Till Maas 2008-08-14 06:25:11 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > Uh, thanks. I meant to add it before I submitted the review. Here it is:
> 
> I recommend not use a vendor in desktop-file-install.

The current guidelines still demand a vendor, but I agree that it seems to be better to not use it.

> You really must provide an icon:
> https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files
> 
> And therefore you need to add hicolor-icon-theme to Requires.

I do not see there, that I have to provide an icon, there is only described how the icon should be specified in the desktop file. The Desktop Entry Specification that is linked there also says, that an icon is not required.
Comment 5 Andrea Musuruane 2008-08-14 08:56:08 EDT
(In reply to comment #4)
> The current guidelines still demand a vendor, but I agree that it seems to be
> better to not use it.

Guidelines say that using this form is acceptable:
desktop-file-install --vendor="" \
[...]

As you noted it is a suggestion :)

> I do not see there, that I have to provide an icon, there is only described how
> the icon should be specified in the desktop file. The Desktop Entry
> Specification that is linked there also says, that an icon is not required.

I think that this will be the first GUI package in Fedora not to use an icon... not a nice thing to see. You can ask to the Art Team for one.

I just noticed that you missed the use of the %{name} macro here:
Source0:        http://freefoote.dview.net/linux/gpscorrelate-%{version}.tar.gz

The Debian package has a man page. You might want to include it.
Comment 6 Till Maas 2008-10-30 11:33:05 EDT
Spec URL: http://till.fedorapeople.org/review/gpscorrelate.spec
SRPM URL:
http://till.fedorapeople.org/review/gpscorrelate-1.5.7-2.tillf8.src.rpm

Here is an update. I still do not have an icon, but I asked upstream about it and will ask the art project, if he does not have one. This package now contains an extended version of the debian manpage and some new patches, to reduce the amount of compiler warnings and to include the manpage and desktop file intallation in the makefile.
Comment 7 Till Maas 2008-11-01 03:13:55 EDT
The patches were accepted by upstream and here is my request for a logo from the Fedora Artwork team:
https://fedoraproject.org/wiki/Artwork/DesignService#GPScorrelate_application

Not using %{name} in Source0 is kind of intentional, because I do not see any added value to use it and afaik it is not required by the source URL guidelines.
Comment 8 Fabian Affolter 2009-02-05 09:11:47 EST
1.5.8 was released some months ago and I think that making a review for 1.5.7 makes no sense because with 1.5.8 all patches go away. 

What is about using 'redhat-starthere' or a similar icon as a temporary replacement till gpscorrelate have its own icon?
Comment 9 Till Maas 2009-02-05 12:07:38 EST
Update to 1.5.8:

Spec URL: http://till.fedorapeople.org/review/gpscorrelate-1.5.8-1.tillf8.src.rpm
SRPM URL: http://till.fedorapeople.org/review/gpscorrelate.spec


(In reply to comment #8)

> What is about using 'redhat-starthere' or a similar icon as a temporary
> replacement till gpscorrelate have its own icon?

Why not, but is this a good choice? Afaics it is only provided by fedora-icon-theme, which probably is not allowed to be used on non official spins. But the logo itselfs looks nice.
Comment 10 Fabian Affolter 2009-02-15 08:18:36 EST
Package Review
==============

Package: 

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: F10/i386
 [x] Rpmlint output:
     Source RPM:
     [fab@laptop24 SRPMS]$ rpmlint gpscorrelate-1.5.8-1.tillf8.src.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
     Binary RPM(s):
     [fab@laptop24 i386]$ rpmlint gpscorrelate*
     2 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
     master   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     spec file: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.

 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     Upstream source: 99e61153ac1245955e780298a6125130
     Build source:    99e61153ac1245955e780298a6125130
 [-] Package is not known to require ExcludeArch.
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.  %find_lang used for locales.
 [x] %{optflags} or RPM_OPT_FLAGS are honoured.
 [-] ldconfig called in %post and %postun if required.
 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not own files or directories owned by other packages.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section.
 [x] Package uses nothing in %doc for runtime.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.

 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Header files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Package does not contain any libtool archives (.la).
 [x] -debuginfo subpackage is present and looks complete.
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI application.

=== SUGGESTED ITEMS ===
 [-] Timestamps preserved with cp and install.
 [x] Uses parallel make (%{?_smp_mflags})
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: F10/i386
 [x] Package should compile and build into binary RPMs on all supported
architectures.
     Tested:  http://koji.fedoraproject.org/koji/taskinfo?taskID=1128230
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] Changelog in allowed format


Is there a reason why RELEASES and README are not included in %doc?  Beside the %doc stuff I see no further blocker, package APPROVED.

The usage of 'redhat-starthere' is a bit problematic but I guess that if the icon is missing there is no icon showing up in menu.  Let's wait for the icon from the ArtTeam.
Comment 11 Till Maas 2009-02-19 13:59:49 EST
(In reply to comment #10)
> Is there a reason why RELEASES and README are not included in %doc?  Beside the
> %doc stuff I see no further blocker, package APPROVED.

I agree that the file RELEASES should be included, but the file README only includes installation information, that do not help Fedora users.
 
> The usage of 'redhat-starthere' is a bit problematic but I guess that if the
> icon is missing there is no icon showing up in menu.  Let's wait for the icon
> from the ArtTeam.

So should I just use the redhat-starthere icon in the .desktop but not add a dependency to fedora-icon-theme?
Comment 12 Fabian Affolter 2009-02-23 18:49:26 EST
Created attachment 332991 [details]
Possible icon for gpscorrelate
Comment 13 Fabian Affolter 2009-02-23 18:52:38 EST
(In reply to comment #11)
> (In reply to comment #10)
> > Is there a reason why RELEASES and README are not included in %doc?  Beside the
> > %doc stuff I see no further blocker, package APPROVED.
> 
> I agree that the file RELEASES should be included, but the file README only
> includes installation information, that do not help Fedora users.

Sorry, I missed that.

> > The usage of 'redhat-starthere' is a bit problematic but I guess that if the
> > icon is missing there is no icon showing up in menu.  Let's wait for the icon
> > from the ArtTeam.
> 
> So should I just use the redhat-starthere icon in the .desktop but not add a
> dependency to fedora-icon-theme?

In Comment #12 is a self-made icon (based on stuff in /usr/share/pixmaps).
Comment 14 Till Maas 2009-04-12 10:55:18 EDT
Sorry for the delay and thanks for the review. I now created a new logo in svg using cliparts from the Open Clip Art Library and it works here in Gnome. It now shows an image with an attached tag that shows coordinates. Please take a look if you want:

SPEC: http://till.fedorapeople.org/review/gpscorrelate.spec
SRPM: http://till.fedorapeople.org/review/gpscorrelate-1.6.0-1.fc10.src.rpm
Icon: http://till.fedorapeople.org/review/gpscorrelate-gui.svg

New Package CVS Request
=======================
Package Name: gpscorrelate
Short Description: A GPS photo correlation / geotagging tool
Owners: till
Branches: F-9 F-10 F-11
InitialCC:
Comment 15 Kevin Fenzi 2009-04-17 12:23:08 EDT
cvs done.
Comment 16 Fedora Update System 2009-04-18 10:32:42 EDT
gpscorrelate-1.6.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gpscorrelate-1.6.0-2.fc11
Comment 17 Fedora Update System 2009-04-18 10:32:49 EDT
gpscorrelate-1.6.0-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/gpscorrelate-1.6.0-2.fc9
Comment 18 Fedora Update System 2009-04-18 10:32:54 EDT
gpscorrelate-1.6.0-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gpscorrelate-1.6.0-2.fc10
Comment 19 Fedora Update System 2009-04-21 20:52:52 EDT
gpscorrelate-1.6.0-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update gpscorrelate'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3793
Comment 20 Fedora Update System 2009-04-21 20:55:14 EDT
gpscorrelate-1.6.0-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gpscorrelate'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3800
Comment 21 Fedora Update System 2009-04-27 21:21:05 EDT
gpscorrelate-1.6.0-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2009-04-27 21:21:18 EDT
gpscorrelate-1.6.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2009-05-09 00:27:08 EDT
gpscorrelate-1.6.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.